Name:           gupnp-igd
Version:        1.2.0
Release:        1
Summary:        Library for  handling port mapping between UPnP and IGD
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/GUPnP
Source0:        https://download.gnome.org/sources/%{name}/1.2/%{name}-%{version}.tar.xz

BuildRequires:  glib2-devel gobject-introspection-devel gtk-doc gupnp-devel meson

Provides:       %{name}-python = %{version}-%{release} %{name}-python2 = %{version}-%{release}
Obsoletes:      %{name}-python < %{version}-%{release} %{name}-python2 < %{version}-%{release}

%description
%{name} is a library for handling UPnP IGD port mapping.

%package        devel
Summary:        Development files for gupnp-igd
Requires:       %{name} = %{version}-%{release} pkgconfig

%description    devel
This package contains libraries and header files for developing applications that use gupnp-igd.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%doc README
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/GUPnPIgd-1.0.typelib

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}-1.0*.pc
%{_datadir}/gtk-doc/html/%{name}/
%{_datadir}/gir-1.0/GUPnPIgd-1.0.gir


%changelog
* Thu Jun 24 2021 Wenlong Ding <wenlong.ding@turbolinux.com.cn> - 1.2.0-1
- Update to 1.2.0

* Sat Oct 26 2019 Alex Chao <zhaolei746@huawei.com> - 0.2.5-6
- Package init
